/*
 * Class EV_GRID_DRAWABLE_ITEM_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1184 [] = {0xFF01,1551,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1184 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1184 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1184 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1184 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1184 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1184 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1184 [] = {0xFF01,0xFF01,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1184 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1184 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1184 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1184 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1184 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1184 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1184 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1184 [] = {0xFF01,643,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1184 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1184 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1184 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1184 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1184 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1184 [] = {1583,0xFF01,0xFFF9,1,840,0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1184 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1184 [] = {0xFF01,988,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1184 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1184 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1184 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1184 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1184 [] = {0xFF01,0xFF01,1031,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1184 [] = {0xFF01,0xFF01,1203,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1184 [] = {0xFF01,0xFF01,1168,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1184 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,994,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1184 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,994,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1184 [] = {1583,0xFF01,0xFFF9,1,840,0xFF01,994,0xFFFF};


static const struct desc_info desc_1184[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1184), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1184), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1184), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1184), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1184), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1184), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1184), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1184), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1184), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1184), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1184), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1184), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x093F /*1183*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1184), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27271, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27296, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1184), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D5 /*1002*/), 27325, 56},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 90},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27080, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27290, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1184), 6022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 6023, 0},
	{EIF_GENERIC(egt_15_1184), 6024, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 6025, 4},
	{EIF_GENERIC(egt_16_1184), 5998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 5999, 8},
	{EIF_GENERIC(egt_17_1184), 6000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 6001, 12},
	{EIF_GENERIC(egt_18_1184), 6002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6003, 16},
	{EIF_GENERIC(egt_19_1184), 6004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6005, 20},
	{EIF_GENERIC(egt_20_1184), 6006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F9 /*636*/), 6007, 24},
	{EIF_GENERIC(egt_21_1184), 6008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0507 /*643*/), 6009, 28},
	{EIF_GENERIC(egt_22_1184), 6010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F9 /*636*/), 6011, 32},
	{EIF_GENERIC(egt_23_1184), 6012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1184), 6013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6014, 36},
	{EIF_NON_GENERIC(0x051D /*654*/), 6015, 40},
	{EIF_GENERIC(egt_25_1184), 6016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 6017, 44},
	{EIF_GENERIC(egt_26_1184), 6018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1184), 6019, 48},
	{EIF_GENERIC(egt_28_1184), 6020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6021, 52},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27285, 92},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1184), 27273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x080F /*1031*/), 27274, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1184), 27275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 27282, 60},
	{EIF_NON_GENERIC(0x0785 /*962*/), 27283, 64},
	{EIF_NON_GENERIC(0x0739 /*924*/), 27284, 68},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27286, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27287, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27288, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27291, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27293, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27297, 88},
	{EIF_GENERIC(NULL), 27298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27304, 89},
	{EIF_GENERIC(NULL), 27305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27306, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0967 /*1203*/), 27307, 72},
	{EIF_NON_GENERIC(0x0921 /*1168*/), 27308, 76},
	{EIF_NON_GENERIC(0x0923 /*1169*/), 27309, 80},
	{EIF_GENERIC(NULL), 27310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1184), 27312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27313, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27320, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1184), 27316, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1184), 27317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1184), 27266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1184), 27267, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1184), 27268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27285, 92},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27295, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27289, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27321, 96},
	{EIF_GENERIC(egt_37_1184), 27322, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1184), 27323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1184), 27324, 84},
};
void Init1184(void)
{
	IDSC(desc_1184, 0, 1183);
	IDSC(desc_1184 + 1, 1, 1183);
	IDSC(desc_1184 + 32, 1513, 1183);
	IDSC(desc_1184 + 59, 590, 1183);
	IDSC(desc_1184 + 62, 667, 1183);
	IDSC(desc_1184 + 64, 153, 1183);
	IDSC(desc_1184 + 92, 700, 1183);
	IDSC(desc_1184 + 94, 1268, 1183);
	IDSC(desc_1184 + 136, 483, 1183);
	IDSC(desc_1184 + 139, 1443, 1183);
}


#ifdef __cplusplus
}
#endif
